package org.dromara.mall.product.service;

import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.mall.product.domain.bo.MallBrandBo;
import org.dromara.mall.product.domain.vo.MallBrandVo;

import java.util.Collection;
import java.util.List;

/**
 * 品牌Service接口
 *
 * @author pengles
 */
public interface MallBrandService {

    /**
     * 查询品牌
     */
    MallBrandVo queryById(Long id);

    /**
     * 查询品牌列表
     */
    TableDataInfo<MallBrandVo> queryPageList(MallBrandBo bo, PageQuery pageQuery);

    /**
     * 查询品牌列表
     */
    List<MallBrandVo> queryList(MallBrandBo bo);

    /**
     * 新增品牌
     */
    Boolean insertByBo(MallBrandBo bo);

    /**
     * 修改品牌
     */
    Boolean updateByBo(MallBrandBo bo);

    /**
     * 校验并批量删除品牌信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

}
